Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.om.common
Class LanguageImpl

    java.lang.Object
      org.jasig.portal.container.om.common.LanguageImpl

All Implemented Interfaces:
  java.io.Serializable, org.apache.pluto.om.common.Language, org.apache.pluto.om.Model

    public class LanguageImpl

extends java.lang.Object
implements org.apache.pluto.om.common.Language, java.io.Serializable

Implementation of Apache Pluto object model.

Version:
  $Revision: 1.5 $
Author:
  Ken Weiner, kweiner@unicon.net
See Also:
  Serialized Form

Nested Class Summary
`private static class` | `LanguageImpl.DefaultsResourceBundle`
`private static class` | `LanguageImpl.ResourceBundleImpl`

Field Summary
`private java.util.Collection` | `keywords`
`private java.util.Locale` | `locale`
`private java.util.ResourceBundle` | `resourceBundle`
`private java.lang.String` | `shortTitle`
`private java.lang.String` | `title`

Constructor Summary
`LanguageImpl(java.util.Locale locale, java.util.ResourceBundle bundle, java.lang.String defaultTitle, java.lang.String defaultShortTitle, java.lang.String defaultKeyWords)`

Method Summary
`void` | `addKeyword(java.lang.String keyword)`
`void` | `addKeywords(java.util.Collection keywords)`
`void` | `addKeywords(java.lang.String keywordsString)`
`java.util.Iterator` | `getKeywords()`
`java.util.Locale` | `getLocale()`
`java.util.ResourceBundle` | `getResourceBundle()`
`java.lang.String` | `getShortTitle()`
`java.lang.String` | `getTitle()`
`void` | `setKeywords(java.util.Collection keywords)`
`void` | `setKeywords(java.lang.String keywordsString)`
`void` | `setLocale(java.util.Locale locale)`
`void` | `setShortTitle(java.lang.String shortTitle)`
`void` | `setTitle(java.lang.String title)`
`private java.util.List` | `toList(java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### locale

    private java.util.Locale locale

### title

    private java.lang.String title

### shortTitle

    private java.lang.String shortTitle

### keywords

    private java.util.Collection keywords

### resourceBundle

    private java.util.ResourceBundle resourceBundle

Constructor Detail

### LanguageImpl

    public LanguageImpl(java.util.Locale locale,
                        java.util.ResourceBundle bundle,
                        java.lang.String defaultTitle,
                        java.lang.String defaultShortTitle,
                        java.lang.String defaultKeyWords)

Method Detail

### getLocale

    public java.util.Locale getLocale()

  Specified by:
    `getLocale` in interface `org.apache.pluto.om.common.Language`

### getTitle

    public java.lang.String getTitle()

  Specified by:
    `getTitle` in interface `org.apache.pluto.om.common.Language`

### getShortTitle

    public java.lang.String getShortTitle()

  Specified by:
    `getShortTitle` in interface `org.apache.pluto.om.common.Language`

### getKeywords

    public java.util.Iterator getKeywords()

  Specified by:
    `getKeywords` in interface `org.apache.pluto.om.common.Language`

### getResourceBundle

    public java.util.ResourceBundle getResourceBundle()

  Specified by:
    `getResourceBundle` in interface `org.apache.pluto.om.common.Language`

### setLocale

    public void setLocale(java.util.Locale locale)

### setTitle

    public void setTitle(java.lang.String title)

### setShortTitle

    public void setShortTitle(java.lang.String shortTitle)

### addKeyword

    public void addKeyword(java.lang.String keyword)

### addKeywords

    public void addKeywords(java.util.Collection keywords)

### addKeywords

    public void addKeywords(java.lang.String keywordsString)

### setKeywords

    public void setKeywords(java.util.Collection keywords)

### setKeywords

    public void setKeywords(java.lang.String keywordsString)

### toList

    private java.util.List toList(java.lang.String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD